unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.Buttons, RVScroll, RichView, RVStyle,

   jpeg, ExtCtrls, StdCtrls, Vcl.ComCtrls, Winapi.ShlObj,
  cxShellCommon, cxGraphics, cxControls, cxLookAndFeels, cxLookAndFeelPainters,
  cxContainer, cxEdit, {cxTreeView, cxShellTreeView,} IdBaseComponent,
  IdComponent, IdTCPConnection, IdTCPClient, IdExplicitTLSClientServerBase,
  IdMessageClient, IdIMAP4, IdIOHandler, IdIOHandlerSocket, IdIOHandlerStack,
  IdSSL, IdSSLOpenSSL, cxStyles, cxCustomData, cxFilter, cxData, cxDataStorage,
  cxNavigator, Data.DB, cxDBData, cxGridCustomTableView, cxGridTableView,
  cxGridDBTableView, ibx.IBCustomDataSet, cxTextEdit, cxMemo, cxRichEdit,
  cxDBRichEdit, cxGridLevel, cxClasses, cxGridCustomView, cxGrid, ibx.IBDatabase,
  cxProgressBar, {IdMessage,} Vcl.OleCtrls, SHDocVw,
  Vcl.Menus, RichViewActions,
  IdHTTP, cxListView, IdPOP3, ibx.IBQuery, cxGridCardView, cxGridDBCardView,
  cxGridCustomLayoutView, cxGridBandedTableView, cxGridDBBandedTableView,
  cxCheckBox, cxDropDownEdit, cxCalendar, ppPrnabl, ppClass, ppStrtch,
  ppRichView, ppBands, ppCache, ppDesignLayer, ppParameter, ppComm, ppRelatv,
  ppProd, ppReport, cxMaskEdit, cxSpinEdit, cxDBEdit, Vcl.DBCtrls,
  cxCurrencyEdit, cxLabel, dxCore, cxDateUtils, cxTimeEdit, idmessagecollection,
  ibx.IBStoredProc, dxSkinsCore, dxSkinBlack, dxSkinBlue, dxSkinBlueprint,
  dxSkinCaramel, dxSkinCoffee, dxSkinDarkRoom, dxSkinDarkSide,
  dxSkinDevExpressDarkStyle, dxSkinDevExpressStyle, dxSkinFoggy,
  dxSkinGlassOceans, dxSkinHighContrast, dxSkiniMaginary, dxSkinLilian,
  dxSkinLiquidSky, dxSkinLondonLiquidSky, dxSkinMcSkin, dxSkinMetropolis,
  dxSkinMetropolisDark, dxSkinMoneyTwins, dxSkinOffice2007Black,
  dxSkinOffice2007Blue, dxSkinOffice2007Green, dxSkinOffice2007Pink,
  dxSkinOffice2007Silver, dxSkinOffice2010Black, dxSkinOffice2010Blue,
  dxSkinOffice2010Silver, dxSkinOffice2013DarkGray, dxSkinOffice2013LightGray,
  dxSkinOffice2013White, dxSkinOffice2016Colorful, dxSkinOffice2016Dark,
  dxSkinPumpkin, dxSkinSeven, dxSkinSevenClassic, dxSkinSharp, dxSkinSharpPlus,
  dxSkinSilver, dxSkinSpringTime, dxSkinStardust, dxSkinSummer2008,
  dxSkinTheAsphaltWorld, dxSkinsDefaultPainters, dxSkinValentine,
  dxSkinVisualStudio2013Blue, dxSkinVisualStudio2013Dark,
  dxSkinVisualStudio2013Light, dxSkinVS2010, dxSkinWhiteprint,
  dxSkinXmas2008Blue, dxSkinscxPCPainter, RVFile, dxRibbonBackstageView,
  cxDataControllerConditionalFormattingRulesManagerDialog, RVTypes,
  dxGDIPlusClasses, dxBarBuiltInMenu, cxPC, dxBarCode, RVEdit;


type
  TForm1 = class(TForm)
    RichView1: TRichView;
    SpeedButton1: TSpeedButton;
    OpenDialog1: TOpenDialog;
    RVStyle1: TRVStyle;
    procedure SpeedButton1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
RegisterClasses([TdxSmartImage, TdxPNGImage]);
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
if OpenDialog1.Execute then
  begin
  RichView1.Clear;
    //RichView1.DeleteUnusedStyles(True, True, True);
    // Resetting background.
    // If RVF contains background information and rvfoLoadBack is in RVFOptions,
    // it is not necessary
    //RichView1.BackgroundBitmap := nil;
    // Resetting layout properties.
    // If RVF contains layout information and rvfoLoadLayout is in RVFOptions,
    // it is not necessary
    //RichView1.LeftMargin := 5;
    //RichView1.TopMargin := 5;
    //RichView1.RightMargin := 5;
    //RichView1.BottomMargin := 5;
    //RichView1.MinTextWidth := 0;
    //RichView1.MaxTextWidth := 0;
    // Loading
   if not RichView1.LoadRVF(OpenDialog1.FileName) then
      Application.MessageBox('Error Loading File', nil, MB_OK);
    // Formatting (necessary before displaying)
  RichView1.Format;
  end;
end;

end.
